package com.sheep.gamegroup.model.entity;

/**
 * 首页轮播图
 * Created by ljy on 2018/4/25.
 */

public class SlideshowEty {
    
    private String CreateTime;// 0,
            private String Ext;// 扩展字段 跳转任务就是任务id 跳转H5就是url地址
            private int Id;// 0,
            private int IsDisplay;// 0,
            private int Platform;// 0,平台 1：android 2：ios
            private int Type = 1;// 0,类型 1跳转试玩赚钱、2单个任务详情、3信用卡办理、4 H5页面
            private String UpdateTime;// 0,
            private String Url;// private String stringprivate String
    private int TypeId;
    private String Title;


    public int getTypeId() {
        return TypeId;
    }

    public void setTypeId(int typeId) {
        TypeId = typeId;
    }

    public String getTitle() {
        return Title;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public String getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(String createTime) {
        CreateTime = createTime;
    }

    public String getExt() {
        return Ext;
    }

    public void setExt(String ext) {
        Ext = ext;
    }

    public int getId() {
        return Id;
    }

    public void setId(int id) {
        Id = id;
    }

    public int getIsDisplay() {
        return IsDisplay;
    }

    public void setIsDisplay(int isDisplay) {
        IsDisplay = isDisplay;
    }

    public int getPlatform() {
        return Platform;
    }

    public void setPlatform(int platform) {
        Platform = platform;
    }

    public int getType() {
        return Type;
    }

    public void setType(int type) {
        Type = type;
    }

    public String getUpdateTime() {
        return UpdateTime;
    }

    public void setUpdateTime(String updateTime) {
        UpdateTime = updateTime;
    }

    public String getUrl() {
        return Url;
    }

    public void setUrl(String url) {
        Url = url;
    }


    @Override
    public boolean equals(Object obj) {
        return obj instanceof SlideshowEty && ((SlideshowEty) obj).Id == Id;
    }
}
